

"""
摄像头识别位置和角度
"""
class Detection_Position:
    def __init__(self):
        self.X = 0.0
        self.Y = 0.0
        self.Z = 0.0
        self.U = 0.0
        self.V = 0.0
        self.W = 0.0

    def init_position(self,X,Y,Z,U,V,W):
        self.X = X
        self.Y = Y
        self.Z = Z
        self.U = U
        self.V = V
        self.W = W


class Real_Position:
    def __init__(self):
        self.X = 0.0
        self.Y = 0.0
        self.Z = 0.0
        self.U = 0.0
        self.V = 0.0
        self.W = 0.0

    def init_position(self, X, Y, Z, U, V, W):
        self.X = X
        self.Y = Y
        self.Z = Z
        self.U = U
        self.V = V
        self.W = W